Doomsday Engine - Feature #1577

Voxel models
2012-11-06 14:54 - gato303co

Status: Rejected
Priority: Lowest
Assignee: gato303co
Category:

Target version:

Start date: 2012-11-06
% Done: 0%

Description

Good day, | would like to ask if is it possible to add support for voxel models (volumetric pixels) to the doomsday engine/snowberry
frontend. | say this cause everytime | try to install/add the "voxel_test.wad" to Doomsday Addons, it never appears on the "only

compatible” filter list.

I'd rather prefer to play with voxels, instead of the 3d models, since | have seen videos of the 3d models for doomsday on You Tube
and | don't find them interesting, plus, | don't want to install hundreds of megabytes (I think the 3d models package should be that
heavy) on my hard drive, | have enough with the high resolution packs for Doom, Heretic and Hexen.

| think voxel models would improve some the gaming experience, giving some subtle 3d volume to the sprites but keeping the old

school feeling of the game.

Thanks for your attention.

Labels: voxel models, volumetric pixels, support

History

#1 - 2013-10-22 12:54 - skyjake

- Tags set to Renderer

- Subject changed from Is this possible to add suport for voxel models? to Voxel models

- Status changed from New to Feedback
- Assignee set to gato303co

- Priority changed from Normal to Lowest

Please provide more information / links / diagrams / etc. to describe your idea in more detail. As it is, | don't really know what you mean here.

#2 - 2013-10-22 23:15 - danij

See: http://www.youtube.com/watch?v=8VHGBxgBitc

Doing voxels properly in GL is actually quite complicated.

#3 - 2013-10-23 07:56 - skyjake
- Status changed from Feedback to Rejected

Given that actual 3D models already exist, | don't think this would be really worth the effort.
